List a user's projects
const url = 'https://gitea.com/api/v1/users/example/projects?state=open';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://gitea.com/api/v1/users/example/projects?state=open' \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Username of the user
Query Parameters
Section titled “Query Parameters”State of the project (open, closed, all)
Page number of results to return (1-based)
Page size of results
Responses
Section titled “Responses”ProjectList
Projects track issues and pull requests, standalone note cards are not supported.
object
Card type: “text_only” or “images_and_text”
User represents a user
object
Is user active
URL to the user’s avatar
The user’s description
User counts
The user’s full name
URL to the user’s gitea page
The user’s id
Is the user an administrator
User locale
The user’s location
Login of the user, same as username
Identifier of the user, provided by the external authenticator (if configured)
Is user login prohibited
Is user restricted
The ID of the user’s Authentication Source
User visibility level option: public, limited, private
The user’s website
Deprecated: use Creator instead
Deprecated: use State instead
Template type: “none”, “basic_kanban” or “bug_triage”
Project type: “individual”, “repository” or “organization”
Null only for legacy rows that carry no update timestamp
Example
[ { "creator": { "login_name": "empty", "visibility": "public" }, "state": "open" }]APINotFound is a not found empty response